CubePerspectiveControllerGenerateCubePerspective Method |
POST /CubePerspective/
Generates a new cube perspective.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Index")]
public IActionResult GenerateCubePerspective(
[FromBodyAttribute] GenerateCubePerspectiveOptions cubeOptions,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Index")>
Public Function GenerateCubePerspective (
<FromBodyAttribute> cubeOptions As GenerateCubePerspectiveOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Index")]
IActionResult^ GenerateCubePerspective(
[FromBodyAttribute] GenerateCubePerspectiveOptions^ cubeOptions,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Index")>]
member GenerateCubePerspective :
[<FromBodyAttribute>] cubeOptions : GenerateCubePerspectiveOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- cubeOptions
- Type: Dundas.BI.WebApi.ModelsGenerateCubePerspectiveOptions
The cube perspective options for creating the cube perspective. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
IActionResult
A
CubePerspectiveData object, or a status code indicating the problem.
See Also